#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Nov 30 16:11:16 2020

@author: saramarceglia
"""

import requests
import json
from requests.structures import CaseInsensitiveDict


"""
This example is based on the sample REST APIs from
http://dummy.restapiexample.com

LIST OF METHODS AVAILABLE

1	/employee	GET	JSON	http://dummy.restapiexample.com/api/v1/employees	Get all employee data	Details
2	/employee/{id}	GET	JSON	http://dummy.restapiexample.com/api/v1/employee/1	Get a single employee data	Details
3	/create	POST	JSON	http://dummy.restapiexample.com/api/v1/create	Create new record in database	Details
4	/update/{id}	PUT	JSON	http://dummy.restapiexample.com/api/v1/update/21	Update an employee record	Details
5	/delete/{id}	DELETE	JSON	http://dummy.restapiexample.com/api/v1/delete/2

"""


# GET example

urlGET = "http://dummy.restapiexample.com/api/v1/employees"

headers = CaseInsensitiveDict()
headers ["Accept"] = "application/json"

respGET = requests.get(urlGET, headers = headers)

print(respGET.status_code)

getJSON_string = respGET.text
getJSON_res = json.loads(getJSON_string)


# POST example
urlPOST = "http://dummy.restapiexample.com/api/v1/create"

headers = CaseInsensitiveDict()
headers ["Accept"] = "application/json"
headers ["Content-Type"] = "application/json"
headers["User-Agent"] = "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.0.2171.95 Safari/537.36"


payload = dict({"id":278,
 "employee_name":"Jeanine Caldwell",
 "employee_salary":347000,
 "employee_age":35,"profile_image":""})

respPOST = requests.post(urlPOST, headers = headers, data = payload)
